--
-- fastgrowth
-- 
-- 
--
-- Dennion 02.11.2016
-- V1.0 Grundsteinlegung


fastgrowth = {};
addModEventListener(fastgrowth);
function fastgrowth.prerequisitesPresent(specializations)
    return true;
end;

function fastgrowth:loadMap(name)
	fastgrowth.Config = fastgrowth:loadXMLConfig()
	FruitUtil.fruitTypeGrowths["wheat"].growthStateTime = fastgrowth.Config.wheat*3600000;
    FruitUtil.fruitTypeGrowths["rape"].growthStateTime = fastgrowth.Config.rape*3600000; 
    FruitUtil.fruitTypeGrowths["barley"].growthStateTime = fastgrowth.Config.barley*3600000;
    FruitUtil.fruitTypeGrowths["maize"].growthStateTime = fastgrowth.Config.maize*3600000; 
    FruitUtil.fruitTypeGrowths["potato"].growthStateTime = fastgrowth.Config.potato*3600000;
    FruitUtil.fruitTypeGrowths["sugarBeet"].growthStateTime = fastgrowth.Config.sugarBeet*3600000; 
    FruitUtil.fruitTypeGrowths["sunflower"].growthStateTime = fastgrowth.Config.sunflower*3600000; 
    FruitUtil.fruitTypeGrowths["soybean"].growthStateTime = fastgrowth.Config.soybean*3600000; 
    FruitUtil.fruitTypeGrowths["oilseedRadish"].growthStateTime = fastgrowth.Config.oilseedRadish*3600000; 
    FruitUtil.fruitTypeGrowths["poplar"].growthStateTime = fastgrowth.Config.poplar*3600000; 
	print("--- fast growth V1.0 geladen --- (von Dennion)")
end;

function fastgrowth:deleteMap()
	
end

function fastgrowth:loadXMLConfig()
	local fastgrowth_path = getUserProfileAppPath();
	local fastgrowth_savegameIndex = g_currentMission.missionInfo.savegameIndex;
	local fastgrowth_savegameFolderPath = g_currentMission.missionInfo.savegameDirectory;
	if fastgrowth_savegameFolderPath == nil then
		fastgrowth_savegameFolderPath = ('%ssavegame%d'):format(getUserProfileAppPath(), fastgrowth_savegameIndex);
	end;	 
		
	if g_dedicatedServerInfo ~= nil or fileExists(fastgrowth_savegameFolderPath .. '/Fastgrowth_config.xml')then
		fastgrowth_path = fastgrowth_savegameFolderPath;
	end;
	
	local file = fastgrowth_path.."/Fastgrowth_config.xml";	
	local ConfigXml;
	local res = {};
	
	if fileExists(file) then
		
		ConfigXml = loadXMLFile("FAST_GROWTH_XML", file, "FASTGROWTH");
		print(""..file.." wurde geladen!");	
	else --create std file instead:
		ConfigXml = createXMLFile("FAST_GROWTH_XML", file, "FASTGROWTH");
		print(""..file.." wurde erstellt");
		res.wheat = 1;
		res.rape = 2;
		res.barley = 3;
		res.maize = 3;
		res.potato = 3;
		res.sugarBeet = 3;
		res.sunflower = 3;
		res.soybean = 3;
		res.oilseedRadish = 3;
		res.poplar = 3;
		
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.wheat",res.wheat);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.rape",res.rape);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.barley",res.barley);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.maize",res.maize);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.potato",res.potato);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.sugarBeet",res.sugarBeet);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.sunflower",res.sunflower);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.soybean",res.soybean);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.oilseedRadish",res.oilseedRadish);
		setXMLInt(ConfigXml, "FASTGROWTH.fruit.poplar",res.poplar);
		saveXMLFile(ConfigXml);
		return res;
	end;
	

	if ConfigXml ~= nil then	
		res.wheat = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.wheat");
		res.rape = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.rape");
		res.barley = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.barley");
		res.maize = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.maize");
		res.potato = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.potato");
		res.sugarBeet = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.sugarBeet");
		res.sunflower = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.sunflower");
		res.soybean = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.soybean");
		res.oilseedRadish = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.oilseedRadish");
		res.poplar = getXMLFloat(ConfigXml, "FASTGROWTH.fruit.poplar");
	end;
	return res;
end;

function fastgrowth:mouseEvent(posX, posY, isDown, isUp, button)
end;

function fastgrowth:keyEvent(unicode, sym, modifier, isDown)
end;


function fastgrowth:update()
	
end

function fastgrowth:draw()
   
   
end;
